#--
# Copyright (c) 2004-2010 Mellanox Technologies LTD. All rights reserved.
#
# This software is available to you under a choice of one of two
# licenses.  You may choose to be licensed under the terms of the GNU
# General Public License (GPL) Version 2, available from the file
# COPYING in the main directory of this source tree, or the
# OpenIB.org BSD license below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#--

%{?build_ibmgtsim: %define ibmgtsim --enable-ibmgtsim}

Summary: OpenIB Mellanox InfiniBand Diagnostic Tools
Name: ibutils
Version: 1.5.4
Release: 17.mlnx1.5.5r2%{?dist}
License: GPL/BSD
Url: http://www.openfabrics.org/
Group: System Environment/Libraries
Source: http://www.openfabrics.org/downloads/%{name}/%{name}-%{version}-0.1.g0464fe6.tar.gz
Patch1: ibutils-1.5.4-output.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1, opensm-devel >= 3.3.15, tcl-devel, swig, tk-devel, libibumad-devel >= 1.3.8 , autoconf
Vendor: Oracle America
%description
ibutils provides IB network and path diagnostics.


%prep
%setup -n %{name}-%{version}
%patch1 -p1

%build
%configure --with-osm=%{_prefix} %{?configure_options} %{?ibmgtsim}
%{__make} %{?mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}
/bin/rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/bin/git_version.tcl

install -d $RPM_BUILD_ROOT/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/ibutils.sh << EOF
if ! echo \${PATH} | grep -q %{_prefix}/bin ; then
        PATH=\${PATH}:%{_prefix}/bin
fi
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/ibutils.csh << EOF
if ( "\${path}" !~ *%{_prefix}/bin* ) then
        set path = ( \$path %{_prefix}/bin )
endif
EOF

touch ibutils-files
case %{_prefix} in
        /usr | /usr/)
        ;;
        *)
        install -d $RPM_BUILD_ROOT/etc/ld.so.conf.d
        echo "%{_libdir}" >> $RPM_BUILD_ROOT/etc/ld.so.conf.d/ibutils.conf
        echo "/etc/ld.so.conf.d/ibutils.conf" >> ibutils-files
        ;;
esac


%clean
#Remove installed driver after rpm build finished
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
/sbin/ldconfig

###
### Files
###
%files -f ibutils-files
%defattr(-,root,root)
%{_prefix}/bin/ibis
%{_prefix}/bin/ibdmsh
%{_prefix}/bin/ibtopodiff
%{_prefix}/bin/ibnlparse
%{_prefix}/bin/ibdmtr
%{_prefix}/bin/ibdmchk
%{_prefix}/bin/ibdiagui
%{_prefix}/bin/ibdiagnet
%{_prefix}/bin/ibdiagpath
%{_libdir}/libibdmcom.so*
%{_libdir}/libibdmcom.a
%{_libdir}/libibdm.so*
%{_libdir}/libibdm.a
%{_libdir}/ibis1.5.4
%{_libdir}/ibdm1.5.4
%{_libdir}/ibdiagnet1.5.4
%{_libdir}/ibdiagpath1.5.4
%{_libdir}/ibdiagui1.5.4
%{_prefix}/include/ibdm
%{_mandir}/man1/ibdiagnet.1*
%{_mandir}/man1/ibdiagpath.1*
%{_mandir}/man1/ibdiagui.1*
%{_mandir}/man1/ibis.1*
%{_mandir}/man1/ibtopodiff.1*
%{_mandir}/man1/ibdmtr.1*
%{_mandir}/man1/ibdmsh.1*
%{_mandir}/man1/ibdmchk.1*
%{_mandir}/man1/ibdm-topo-file.1*
%{_mandir}/man1/ibdm-ibnl-file.1*
/etc/profile.d/ibutils.sh
/etc/profile.d/ibutils.csh
%{_libdir}/libibsysapi.so*
%{_libdir}/libibsysapi.a
# END Files

%changelog
* Fri Oct 02 2015 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.5.4-17.mlnx1.5.5r2.el6 
- Update Vendor tag [bug 21929962]

* Fri May 29 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.5.4-16.mlnx1.5.5r2.el6 
- Add the -output to have programs use /var/cache/ibutils
- instead of /tmp [  Resolve CVE-2013-2561n ]

* Thu May 2 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.5.4-15.mlnx1.5.5r2.el6 
- Remove chrpath from BuildRequires

* Thu May 2 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.5.4-12.mlnx1.5.5r2.el6 
- Removing requires section

* Tue Apr 30 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.5.4-11.mlnx1.5.5r2.el6 
- Update file section of specfile

* Fri Apr 26 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.5.4-9.mlnx1.5.5r2.el6 
- Correct specfile to add --with-osm

* Fri Apr 26 2013 Ajaykumar Hotchandani <ajaykumar.hotchandani@oracle.com> - 1.5.4-3.mlnx1.5.5r2.el6 
- update specfile as per Mellanox

* Mon Feb 11 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.5.4-2.mlnx1.5.5r2.el6 
- replace src tall with the one from mellanox version OFED-IOV-1.5.5-2.0.0080

* Mon Oct 15 2012 Doug Ledford <dledford@redhat.com> - 1.5.7-7
- Bump and rebuild against latest opensm
- Related: bz756396

* Wed Feb 29 2012 Doug Ledford <dledford@redhat.com> - 1.5.7-6
- Bump and rebuild against updated opensm
- Related: bz754196

* Tue Jan 31 2012 Doug Ledford <dledford@redhat.com> - 1.5.7-5
- Bump and rebuild against updated opensm
- Related: bz750609

* Fri Sep 02 2011 Doug Ledford <dledford@redhat.com> - 1.5.7-4
- Add a Requires for ibutils-libs to base ibutils package (found by rpmdiff)

* Thu Sep 01 2011 Doug Ledford <dledford@redhat.com> - 1.5.7-3
- Add a Requires on graphviz-tcl
- Resolves: bz734979

* Mon Aug 08 2011 Doug Ledford <dledford@redhat.com> - 1.5.7-2
- Fix the build so it generates proper debuginfo files
- Resolves: bz729019
- Related: bz725016

* Thu Aug 04 2011 Doug Ledford <dledford@redhat.com> - 1.5.7-1
- Update to latest upstream release
- Related: bz725016

* Thu Apr 28 2011 Doug Ledford <dledford@redhat.com> - 1.5.4-3.el6
- Build for i686 too
- Related: bz695204

* Tue Apr 19 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.5.4-2.el6
- Build for ppc64
- Resolves: bz695204

* Mon Mar 08 2010 Doug Ledford <dledford@redhat.com> - 1.5.4-1.el6
- Update to latest upstream version, which cleans up some licensing issues
  found in the previous versions during review
- Related: bz555835

* Mon Jan 25 2010 Doug Ledford <dledford@redhat.com> - 1.2-12.el6
- Update license for pkgwranger approval
- Related: bz543948

* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 1.2-11.el5
- Update to latest compatible upstream version
- Related: bz518218

* Fri Apr 17 2009 Doug Ledford <dledford@redhat.com> - 1.2-10
- Update to ofed 1.4.1-rc3 version
- Related: bz459652

* Tue Nov 11 2008 Doug Ledford <dledford@redhat.com> - 1.2-9
- Oops, forgot to remove the man page for ibdiagui, fix that
- Related: bz468122

* Mon Nov 10 2008 Doug Ledford <dledford@redhat.com> - 1.2-8
- Remove ibdiagui from the package entirely since it still doesn't work
  without graphviz-tcl
- Related: bz468122

* Thu Oct 23 2008 Doug Ledford <dledford@redhat.com> - 1.2-7
- Grab the upstream ibutils git repo, find a checkout that supports the
  recent opensm library versions and yet doesn't require graphviz-tcl,
  export that tree to a tarball with a git designation, build from it.
- Resolves: bz468122

* Thu Sep 18 2008 Doug Ledford <dledford@redhat.com> - 1.2-6
- Add a build flag to silence some compile warnings

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 1.2-4
- Upstream has updated the tarball without changing the version number,
  grab the tarball from the OFED-1.4-beta1 tarball and use it.
- Resolves: bz451467

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 1.2-3
- Bump and rebuild against OFED 1.3 libraries
- Resolves: bz428198

* Wed Jun 27 2007 Doug Ledford <dledford@redhat.com> - 1.2-2
- Bump and rebuild against openib-1.2 libraries

* Mon Jun 25 2007 Doug Ledford <dledford@redhat.com> - 1.2-1
- Update to OFED 1.2 released package
- Related: bz245817

* Wed Oct 25 2006 Tim Powers <timp@redhat.com> - 1.0-3
- rebuild against openib package set due to soname change

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com>
- Bump and rebuild against latest openib packages
- Disable ibmgtsim until I can figure out why it's failing to wrap a
  perfectly existent library function (I hate c++)

* Mon Jul 31 2006 Doug Ledford <dledford@redhat.com> 1.0-2
- Make spec file name convention/multilib compliant
- Move all the files to FHS compliant locations for a distributor

* Tue May 16 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added ibutils sh, csh and conf to update environment

* Sun Apr  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging for openib gen2 stack
